/* logjam - a GTK client for LiveJournal.
 * Copyright (C) 2000-2003 Evan Martin <evan@livejournal.com>
 *
 * vim: tabstop=4 shiftwidth=4 noexpandtab :
 */

#ifndef PROTOCOL_H
#define PROTOCOL_H

typedef GHashTable LJRequest;
typedef GHashTable LJResult;

LJRequest* lj_protocol_request_new(const char *mode, 
		const char *username, const char *password, const char *usejournal,
		int protocolversion);
LJResult* lj_protocol_parse_response(const char *res);
int lj_protocol_result_succeeded(LJResult *result);
GString* lj_protocol_request_to_string(LJRequest* request);

void lj_protocol_request_free(LJRequest *request);
void lj_protocol_result_free(LJResult *result);

#endif /* PROTOCOL_H */
